OCF_PACEMAKER_HEALTH(7)

NAME
ocf_pacemaker_HealthIOWait - System health based on CPU iowait measurement

SYNOPSIS

[OCF_RESKEY_state=string] [OCF_RESKEY_yellow_limit=integer] [OCF_RESKEY_red_limit=integer] [OCF_RESKEY_dampening=string]

HealthIOWait [start | stop | monitor | reload-agent | meta-data | validate-all]

DESCRIPTION

System health agent that measures the CPU iowait via top and updates the #health-iowait attribute.

SUPPORTED PARAMETERS

OCF_RESKEY_state = string [/health-iowait-.state]
    State file

    Location to store the resource state in.

OCF_RESKEY_yellow_limit = integer [10]
    Upper limit for yellow health attribute

    Upper limit of iowait percentage to switch the health attribute to yellow. I.e. the #health-iowait will go yellow if the %iowait of the CPU gets higher than 10%.

OCF_RESKEY_red_limit = integer [15]
    Upper limit for red health attribute

    Upper limit of iowait percentage to switch the health attribute to red. I.e. the #health-iowait will go red if the %iowait of the CPU get higher than 15%.

OCF_RESKEY_dampening = string [5s]
    The time to wait (dampening) in seconds for further changes before writing

    The time to wait (dampening) in seconds for further changes before writing

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.